g ++ bash: warning: programmable_completion: g ++: возможный цикл повтора

Когда я набираю g++ и делаю вкладку для списка файлов, я получаю это предупреждение

  **g++ bash: warning: programmable_completion: g++: possible retry loop** 

Я искал его и до сих пор никаких результатов. Может кто-то поможет исправить эту проблему.

Версия Ubuntu – 14.04.

Содержимое моего файла .bashrc

 # ~/.bashrc: executed by bash(1) for non-login shells. see /usr/share/doc/bash/examples/startup-files (in the package bash-doc) for examples #If not running interactively, don't do anything case $- in *i*) ;; *) return;; esac #don't put duplicate lines or lines starting with space in the history. #See bash(1) for more options HISTCONTROL=ignoreboth # append to the history file, don't overwrite it shopt -s histappend # for setting history length see HISTSIZE and HISTFILESIZE in bash(1) HISTSIZE=1000 HISTFILESIZE=2000 # check the window size after each command and, if necessary, # update the values of LINES and COLUMNS. shopt -s checkwinsize # If set, the pattern "**" used in a pathname expansion context will # match all files and zero or more directories and subdirectories. shopt -s globstar # make less more friendly for non-text input files, see lesspipe(1) [ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)" # set variable identifying the chroot you work in (used in the prompt below) if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then debian_chroot=$(cat /etc/debian_chroot) fi # set a fancy prompt (non-color, unless we know we "want" color) case "$TERM" in xterm-color) color_prompt=yes;; esac # uncomment for a colored prompt, if the terminal has the capability; turned off by default to not distract the user: the focus in a terminal window should be on the output of commands, not on the prompt force_color_prompt=yes if [ -n "$force_color_prompt" ]; then if [ -x /usr/bin/tput ] && tput setaf 1 >&/dev/null; then # We have color support; assume it's compliant with Ecma-48 # (ISO/IEC-6429). (Lack of such support is extremely rare, and such # a case would tend to support setf rather than setaf.) color_prompt=yes else color_prompt= fi fi if [ "$color_prompt" = yes ]; then PS1='${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[01;34m\]\w\[\033[00m\]\$ ' else PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ ' fi unset color_prompt force_color_prompt # If this is an xterm set the title to user@host:dir case "$TERM" in xterm*|rxvt*) PS1="\[\e]0;${debian_chroot:+($debian_chroot)}\u@\h: \w\a\]$PS1" ;; *) ;; esac # enable color support of ls and also add handy aliases if [ -x /usr/bin/dircolors ]; then test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)" alias ls='ls --color=auto' #alias dir='dir --color=auto' #alias vdir='vdir --color=auto' alias grep='grep --color=auto' alias fgrep='fgrep --color=auto' alias egrep='egrep --color=auto' fi # some more ls aliases alias ll='ls -alF' alias la='ls -A' alias l='ls -CF' # Add an "alert" alias for long running commands. Use like so: # sleep 10; alert alias alert='notify-send --urgency=low -i "$([ $? = 0 ] && echo terminal || echo error)" "$(history|tail -n1|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"' # Alias definitions. # You may want to put all your additions into a separate file like # ~/.bash_aliases, instead of adding them here directly. # See /usr/share/doc/bash-doc/examples in the bash-doc package. if [ -f ~/.bash_aliases ]; then . ~/.bash_aliases fi if [ -f ~/.local/lib/python2.7/site-packages/powerline/bindings /bash/powerline.sh ]; then source ~/.local/lib/python2.7/site-packages/powerline/bindings/bash/powerline.sh fi # enable programmable completion features (you don't need to enable # this, if it's already enabled in /etc/bash.bashrc and /etc/profile # sources /etc/bash.bashrc). if ! shopt -oq posix; then if [ -f /usr/share/bash-completion/bash_completion ]; then . /usr/share/bash-completion/bash_completion elif [ -f /etc/bash_completion ]; then . /etc/bash_completion fi fi [ -f ~/.fzf.bash ] && source ~/.fzf.bash и # ~/.bashrc: executed by bash(1) for non-login shells. see /usr/share/doc/bash/examples/startup-files (in the package bash-doc) for examples #If not running interactively, don't do anything case $- in *i*) ;; *) return;; esac #don't put duplicate lines or lines starting with space in the history. #See bash(1) for more options HISTCONTROL=ignoreboth # append to the history file, don't overwrite it shopt -s histappend # for setting history length see HISTSIZE and HISTFILESIZE in bash(1) HISTSIZE=1000 HISTFILESIZE=2000 # check the window size after each command and, if necessary, # update the values of LINES and COLUMNS. shopt -s checkwinsize # If set, the pattern "**" used in a pathname expansion context will # match all files and zero or more directories and subdirectories. shopt -s globstar # make less more friendly for non-text input files, see lesspipe(1) [ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)" # set variable identifying the chroot you work in (used in the prompt below) if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then debian_chroot=$(cat /etc/debian_chroot) fi # set a fancy prompt (non-color, unless we know we "want" color) case "$TERM" in xterm-color) color_prompt=yes;; esac # uncomment for a colored prompt, if the terminal has the capability; turned off by default to not distract the user: the focus in a terminal window should be on the output of commands, not on the prompt force_color_prompt=yes if [ -n "$force_color_prompt" ]; then if [ -x /usr/bin/tput ] && tput setaf 1 >&/dev/null; then # We have color support; assume it's compliant with Ecma-48 # (ISO/IEC-6429). (Lack of such support is extremely rare, and such # a case would tend to support setf rather than setaf.) color_prompt=yes else color_prompt= fi fi if [ "$color_prompt" = yes ]; then PS1='${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[01;34m\]\w\[\033[00m\]\$ ' else PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ ' fi unset color_prompt force_color_prompt # If this is an xterm set the title to user@host:dir case "$TERM" in xterm*|rxvt*) PS1="\[\e]0;${debian_chroot:+($debian_chroot)}\u@\h: \w\a\]$PS1" ;; *) ;; esac # enable color support of ls and also add handy aliases if [ -x /usr/bin/dircolors ]; then test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)" alias ls='ls --color=auto' #alias dir='dir --color=auto' #alias vdir='vdir --color=auto' alias grep='grep --color=auto' alias fgrep='fgrep --color=auto' alias egrep='egrep --color=auto' fi # some more ls aliases alias ll='ls -alF' alias la='ls -A' alias l='ls -CF' # Add an "alert" alias for long running commands. Use like so: # sleep 10; alert alias alert='notify-send --urgency=low -i "$([ $? = 0 ] && echo terminal || echo error)" "$(history|tail -n1|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"' # Alias definitions. # You may want to put all your additions into a separate file like # ~/.bash_aliases, instead of adding them here directly. # See /usr/share/doc/bash-doc/examples in the bash-doc package. if [ -f ~/.bash_aliases ]; then . ~/.bash_aliases fi if [ -f ~/.local/lib/python2.7/site-packages/powerline/bindings /bash/powerline.sh ]; then source ~/.local/lib/python2.7/site-packages/powerline/bindings/bash/powerline.sh fi # enable programmable completion features (you don't need to enable # this, if it's already enabled in /etc/bash.bashrc and /etc/profile # sources /etc/bash.bashrc). if ! shopt -oq posix; then if [ -f /usr/share/bash-completion/bash_completion ]; then . /usr/share/bash-completion/bash_completion elif [ -f /etc/bash_completion ]; then . /etc/bash_completion fi fi [ -f ~/.fzf.bash ] && source ~/.fzf.bash 

Версия Ubuntu – 14.04

One Solution collect form web for “g ++ bash: warning: programmable_completion: g ++: возможный цикл повтора”

Исходный код Bash говорит, что слишком много попыток завершения.

В справочном руководстве Bash говорится:

Возможно, что функции оболочки выполняются как обработчики завершения, чтобы указать, что завершение должно быть повторено, возвращая статус выхода 124. Если функция оболочки возвращает 124 и изменяет compspec, связанный с командой, по которой выполняется попытка завершения (поставляется как первая аргумент, когда функция выполняется), программируемое завершение перезапускается с самого начала с попыткой найти новый compspec для этой команды.

Таким образом, вы можете воспроизвести возможную петлю повтора с помощью:

 function _retr_comp { complete -F _retr_comp foo; return 124; } complete -F _retr_comp foo 

Введите foo Space Tab
Вы должны увидеть foo -bash: warning: programmable_completion: foo: possible retry loop

Попробуйте найти все return 124 .

Также попробуйте:
g++ Пробел
complete -p g++ # outputs complete -F <FUNCNAME> g++
type <FUNCNAME>
для просмотра вашего g++ compspec.

Обновление :
В fzf есть ошибка. Исправить .

Исправлено объединение. Благодаря junegunn .

Решение :

Просто обновите файл fzf : cd ~/.fzf && git pull && ./install

Измените источник ~/.bashrc : source ~/.bashrc

Тип: g++ space tab

  • Отключить завершение подстроки в zsh
  • Отмена завершения закладки zsh
  • Отключить завершение вкладки bash
  • Можно ли вручную вызвать функцию завершения zsh?
  • Вкладка Bash содержит не первый маркер в подстановке команд $ (...) throws error
  • Сброс автозаполнения bash в каждом окне
  • Выход из программы завершения tcsh по программе
  • Параметр _path_files и compadd ignore-files
  • Bash tabcomplete имена файлов для значений переменных среды
  • Автозаполнение Bash с помощью команды vim
  • Trouble w / bash программируемое завершение совпадений с именами файлов
  • Interesting Posts

    Linux-видеозахват не работает cam3 или захват изображения в cam1 не работает

    Некоторые приложения на моем unbuntu не будут запускаться (средство просмотра документов)

    запись звука с веб-аудиоплеера с использованием устройства ALSA loop

    слэш (/) после имени каталога в командах оболочки

    Сохраните весь процесс для продолжения после перезагрузки

    каждый параметр командной строки CLI имеет смысловую аббревиатуру

    start-stop-daemon делает cron pidfile с неправильным pid

    Создание пользовательского пользователя во FreeBSD

    Средние все строки из нескольких столбцов с тем же первым столбцом

    Хост файл на сервере с динамическим DNS?

    Изменение домашнего каталога путем редактирования / etc / passwd

    Лучший дистрибутив для программирования

    Как добиться эффекта chroot в пользовательском пространстве в Linux (без root)?

    как установить стиль тильды + псевдоним?

    Linux Mint SPDIF Out не работает

    Linux и Unix - лучшая ОС в мире.